let
  fromEnv = var: def:
    let val = builtins.getEnv var; in
    if val != "" then val else def;
in rec {
  shell = "/nix/store/cpgyi9khbv1yg2i22vg0zhmsnif9aih9-bash-4.4-p23/bin/bash";
  coreutils = "/nix/store/cr4nsw7jkyd6b8ghz8yr95lwqhzgp6r3-coreutils-8.32/bin";
  bzip2 = "/nix/store/13v7wr4lifdyyn979w3ql273a35fmaj8-bzip2-1.0.6.0.2-bin/bin/bzip2";
  gzip = "/nix/store/17h23im7ln8cqv87hhmcw339vk1siwg3-gzip-1.10/bin/gzip";
  xz = "/nix/store/039jf73378jkyd9m93d4ffgbvak1yang-xz-5.2.5-bin/bin/xz";
  tar = "/nix/store/g49a29j04zgzw5xa18y47134cq6yc2bc-gnutar-1.34/bin/tar";
  tarFlags = "--warning=no-timestamp";
  tr = "/nix/store/cr4nsw7jkyd6b8ghz8yr95lwqhzgp6r3-coreutils-8.32/bin/tr";
  nixBinDir = fromEnv "NIX_BIN_DIR" "/nix/store/c43kyri67ia8mibs0id5ara7gqwlkybf-nix-2.3.16/bin";
  nixPrefix = "/nix/store/c43kyri67ia8mibs0id5ara7gqwlkybf-nix-2.3.16";
  nixLibexecDir = fromEnv "NIX_LIBEXEC_DIR" "/nix/store/c43kyri67ia8mibs0id5ara7gqwlkybf-nix-2.3.16/libexec";
  nixLocalstateDir = "/nix/var";
  nixSysconfDir = "/etc";
  nixStoreDir = fromEnv "NIX_STORE_DIR" "/nix/store";

  # If Nix is installed in the Nix store, then automatically add it as
  # a dependency to the core packages. This ensures that they work
  # properly in a chroot.
  chrootDeps =
    if dirOf nixPrefix == builtins.storeDir then
      [ (builtins.storePath nixPrefix) ]
    else
      [ ];
}
